﻿using Microsoft.Xna.Framework;
using RecrownedAthenaeum.Pipeline.NinePatch;

namespace RecrownedAthenaeum.Pipeline.TextureAtlas
{
    public class TextureAtlasData
    {
        public AtlasRegionData[] regions;
        public string textureName;

        public TextureAtlasData(string textureName, AtlasRegionData[] regions)
        {
            this.regions = regions;
            this.textureName = textureName;
        }

        public class AtlasRegionData
        {
            public string name;
            public Rectangle location;
            public NinePatchData ninePatchData;

            public void SetPosition(int x, int y)
            {
                location.X = x;
                location.Y = y;
            }

            public void SetSize(int width, int height)
            {
                location.Width = width;
                location.Height = height;
            }

            public void SetBounds(int x, int y, int width, int height)
            {
                SetPosition(x, y);
                SetSize(width, height);
            }
        }
    }
}
